Bug 1219540 - Review Request: ahc-tools - Tools for RDO-manager automatic health checks
Summary: Review Request: ahc-tools - Tools for RDO-manager automatic health checks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-07 14:34 UTC by John Trowbridge
Modified: 2015-08-26 19:53 UTC (History)
4 users (show)

Fixed In Version: ahc-tools-0.2.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-26 15:42:26 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description John Trowbridge 2015-05-07 14:34:31 UTC
Spec URL: https://raw.githubusercontent.com/rdo-management/ahc-tools-packaging/packaging/ahc-tools.spec
SRPM URL: http://trunk-mgt.rdoproject.org/repos/b7/63/b763a50dfce145f937039bb99649ea13b434b408_5c63b746_1431008113/ahc-tools-0.1.0-0.99.20150507.1415git.el7.centos.src.rpm
Description: Reporting and matching tools for RDO-manager automatic health checks.
Fedora Account System Username: trown

This is my first package submission, so I will need a sponsor. I am the upstream maintainer for this package.

Successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9678610

Comment 1 Haïkel Guémar 2015-05-07 18:20:01 UTC
Since you're not sponsored, you need to blocks the FE-NEEDSPONSOR ticket.

I'll send you an email with some resources and about your sponsoring process :)

Comment 2 Pranav Kant 2015-05-08 12:17:09 UTC
A quick unofficial review:


* Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/fedora/1219540-ahc-
  tools/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

* Source checksums
https://pypi.python.org/packages/source/a/ahc-tools/ahc-tools-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : f54f47164edf284a9d69b94150f31c2ddcf0e030093864372dc91aff549c7a6d
  CHECKSUM(SHA256) upstream package : 5a4e91ce671b8e3659a5fa90a394c9dcac2e20c5b51e3aaa58f630500a1598a0
diff -r also reports differences


Diff spec file in url and in SRPM
---------------------------------
--- /home/fedora/1219540-ahc-tools/srpm/ahc-tools.spec  2015-05-08 11:56:09.178829614 +0000
+++ /home/fedora/1219540-ahc-tools/srpm-unpacked/ahc-tools.spec 2015-05-07 14:15:29.000000000 +0000
@@ -4,11 +4,11 @@
 Name:           ahc-tools
 Summary:        Tools for RDO-manager automatic health checks
-Version:        0.1.0
-Release:        1%{?dist}
+Version: 0.1.0
+Release: 0.99.20150507.1415git%{?dist}
 License:        ASL 2.0
 Group:          System Environment/Base
 URL:            https://pypi.python.org/pypi/ahc-tools
 
-Source0: https://pypi.python.org/packages/source/a/ahc-tools/ahc-tools-%{upstream_version}.tar.gz
+Source0: ahc-tools-0.1.0.tar.gz
 
 BuildArch:      noarch
 
* Package doesn't install properly.

* Empty README.rst


Rpmlint
-------
Checking: ahc-tools-0.1.0-0.99.20150507.1415git.fc21.noarch.rpm
          ahc-tools-0.1.0-0.99.20150507.1415git.fc21.src.rpm
ahc-tools.noarch: W: incoherent-version-in-changelog 0.1.0 ['0.1.0-0.99.20150507.1415git.fc21', '0.1.0-0.99.20150507.1415git']
ahc-tools.noarch: E: zero-length /usr/share/doc/ahc-tools/README.rst
ahc-tools.noarch: W: no-manual-page-for-binary ahc-report
ahc-tools.noarch: W: no-manual-page-for-binary ahc-match
ahc-tools.src: W: invalid-url Source0: ahc-tools-0.1.0.tar.gz
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 3 John Trowbridge 2015-05-08 20:31:26 UTC
Pranav,

Thanks for the feedback. I just took the srpm from the build system we are using for RDO. I see now that that does not quite work for a packaging review.

I built a srpm manually and put it here:
http://trunk-mgt.rdoproject.org/repos/ahc-tools-0.1.1-1.fc21.src.rpm

There are still not man pages for ahc-report or ahc-match, but these will be changing fairly dramatically in upcoming releases and have good help text for their somewhat limited current functionality.

Thanks again for checking this out.

Comment 4 John Trowbridge 2015-06-05 15:37:59 UTC
Informal reviews for sponsorship:
https://bugzilla.redhat.com/show_bug.cgi?id=1218410
https://bugzilla.redhat.com/show_bug.cgi?id=1219662

Comment 5 John Trowbridge 2015-06-30 20:35:22 UTC
Updated srpm and spec:

SRPM: https://trown.fedorapeople.org/ahc-tools-0.2.0-1.fc23.src.rpm
SPEC: https://trown.fedorapeople.org/ahc-tools.spec

Comment 6 Haïkel Guémar 2015-07-02 15:33:42 UTC
The Group is not required, I advise you to drop it when you'll import the package

I hereby approve it into Fedora Packages Collection, please submit a SCM request.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 1 files have unknown license. Detailed output of licensecheck
     in /home/haikel/1219540-ahc-tools/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ahc-tools-0.2.0-1.fc23.noarch.rpm
          ahc-tools-0.2.0-1.fc23.src.rpm
ahc-tools.noarch: E: non-readable /etc/ahc-tools/ahc-tools.conf 0640L
ahc-tools.noarch: W: no-manual-page-for-binary ahc-report
ahc-tools.noarch: W: no-manual-page-for-binary ahc-match
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
ahc-tools.noarch: E: non-readable /etc/ahc-tools/ahc-tools.conf 0640L
ahc-tools.noarch: W: no-manual-page-for-binary ahc-report
ahc-tools.noarch: W: no-manual-page-for-binary ahc-match
1 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
ahc-tools (rpmlib, GLIBC filtered):
    /usr/bin/python2
    config(ahc-tools)
    python(abi)
    python-hardware
    python-ironicclient
    python-oslo-config
    python-swiftclient



Provides
--------
ahc-tools:
    ahc-tools
    config(ahc-tools)



Source checksums
----------------
https://pypi.python.org/packages/source/a/ahc-tools/ahc-tools-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9797dcf3d70d553d66b13ccfaa22f23e5ae5c65d21dbcd6647d025d20d212a36
  CHECKSUM(SHA256) upstream package : 9797dcf3d70d553d66b13ccfaa22f23e5ae5c65d21dbcd6647d025d20d212a36

Comment 7 John Trowbridge 2015-07-02 16:08:20 UTC
New Package SCM Request
=======================
Package Name: ahc-tools
Short Description:  Reporting and matching tools for RDO-manager automatic health checks
Upstream URL: https://github.com/rdo-management/ahc-tools
Owners: trown divius
Branches: f21 f22 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2015-07-02 18:37:22 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-07-02 19:35:04 UTC
ahc-tools-0.2.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ahc-tools-0.2.0-1.fc22

Comment 10 Fedora Update System 2015-07-02 19:43:21 UTC
ahc-tools-0.2.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ahc-tools-0.2.0-1.fc21

Comment 11 Fedora Update System 2015-07-02 20:05:39 UTC
ahc-tools-0.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ahc-tools-0.2.0-1.el7

Comment 12 Fedora Update System 2015-07-23 19:12:45 UTC
ahc-tools-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 13 Fedora Update System 2015-07-29 01:43:37 UTC
ahc-tools-0.2.0-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.